Update a form submission request Run in API Explorer
Ask AI
PUT
/api/v1/form/{form_uuid}/submission-request/{submissionRequest_uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission-request/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"description": "Please can you submit your annual survey form"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"description": "Please can you submit your annual survey form"
}
Response examples (200)
{
"uuid": "5e07257a-7dd4-4e83-a262-7249d08ecb67",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"description": "Please submit your annual survey form",
"form": {
"uuid": "8bba79e8-720d-4bda-8dde-570c9f45fe1a",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "a21c7224-184e-4f4a-bd09-ec45fe3f1a16",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"has_submission": true,
"submission": {
"uuid": "a2eff9c3-8159-40cc-ac1a-819d180005fa",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"stage": "draft",
"account": {
"uuid": "d5d36f53-7bf2-4cdc-9b9e-ab0c775ae829",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-29T17:25:13+00:00",
"next_review_date": "2026-10-29T17:25:13+00:00",
"previous_review_date": "2026-10-29T17:25:13+00:00",
"anniversary_review_date": "2026-10-29T17:25:13+00:00",
"terms_of_business_at": "2026-10-29T17:25:13+00:00",
"client_agreement_at": "2026-10-29T17:25:13+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-29",
"last_interaction_at": "2026-10-29 17:25:13",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-29T17:25:13+00:00",
"out_of_office_until": "2026-10-29T17:25:13+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"request": {
"uuid": "23cfb62c-e4bb-4a40-a132-043df41c0b9e",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"description": "Please submit your annual survey form",
"has_submission": true
},
"form": {
"uuid": "9154c7b7-fe32-4688-8214-e26d9fd528a7",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"answers": [
{
"first_name": "john",
"last_name": "olive"
}
]
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}